help-cfengine
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: cfengine 2.0.2: compile problem on HPUX


From: Mark . Burgess
Subject: Re: cfengine 2.0.2: compile problem on HPUX
Date: Mon, 24 Jun 2002 11:16:24 +0200 (MET DST)

For some reason this has always been a problem with non-GNU tools.
I am not sure why. If you figure it out please write a short
HOW TO that I can put on the website.

You could try removing the -lPW flag and see if it helps. I do
not understand the error message at all.

Mark

On 24 Jun, Erich Waelde wrote:
> 
> Hello all,
> 
> I'm currently trying to compile cfengine-2.0.2 on various HPUX versions.
> 
> On HPUX 10.20/11.00_32/11.11_32 (11.x_64 not yet tried)
> using 
> 1.  HP C-ANSI-C compiler (no GNU tools installed)
> 2.  openssl-0.9.6c (configure,make,make test, make install are ok)
> 3.  BerkeleyDB-4.0.14 (configure,make,make install are ok, but need
>       chmod 555 .../BerkeleyDB.4.0/lib/libdb-4.0.sl 
>         to make configure of cfengine happy)
> 
> 4.  cfengine-2.0.2
>     I have changed the default locations above, and configure picks
>       them up correctly.
> 
>       ./configure --prefix=/opt/cfengine-2.0.2 \
>       --with-openssl=/opt/openssl-0.9.6c \
>       --with-berkeleydb=/opt/BerkeleyDB.4.0
>     completes successfully.
> 
>       make runs a long way, but then fails on linking the executables:
> 
>     cc  -g -I/opt/BerkeleyDB.4.0/include   -L/opt/BerkeleyDB.4.0/lib \
>        -L/opt/openssl-0.9.6c/lib  -L/opt/dce/lib -o cfagent  cfagent.o \
>          init.o do.o wrapper.o report.o client.o  ip.o process.o ifconf.o 
> image.o \
>          item.o item-ext.o item-file.o 2Dlist.o  globals.o classes.o misc.o \
>          parse.o functions.o edittools.o patches.o  install.o link.o tidy.o \ 
>          filedir.o eval.o modes.o chflags.o locks.o  mount.o macro.o 
> filenames.o \
>          varstring.o wildcard.o cfparse.o  comparray.o read.o checksums.o 
> proto.o \
>          filters.o copy.o repository.o  rotate.o errors.o cflex.o net.o df.o 
> log.o \
>          crypto.o popen.o popen_def.o  sensible.o acl.o dce_acl.o nameinfo.o \
>          strategies.o -ll -ldb -lcrypto -lPW -lpthread -lm  -lc -L../pub -lpub
>     /usr/ccs/bin/ld: (Warning) At least one PA 2.0 object file (cfagent.o) 
> was \
>        detected. The linked output may not run on a PA 1.x system.
>     /usr/ccs/bin/ld: Unsatisfied symbols:
>        Error (first referenced in /usr/lib/libPW.a(alloca.o)) (data)
>     *** Error exit code 1
> 
>     Stop.
>     *** Error exit code 1
> 
>     Stop.
> 
> 
> Interestingly it does not tell, which symbols are undefined.
> I have tried this on HPUX-10.20 / 11.00_32 / 11.11_32, make quits at exactly
> the same place, with the same or similar (less verbose) error messages.
> Any suggestions on how to see, what bothers the linker?
> 
> 
> Confirmations, suggestions, solutions, questions, or any other help are
> indeed highly appreciated. It you need any more detailed information or log
> files, I can certainly provide them.
> 
> 
> Best regards,
> Erich
> 
> --
> Erich Waelde
> Agilent Technologies Germany
> --
> The purpose of computing is insight  ---  not numbers.
>         Richard Hamming 1962
> 
> 
> _______________________________________________
> Help-cfengine mailing list
> address@hidden
> http://mail.gnu.org/mailman/listinfo/help-cfengine



~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Work: +47 22453272            Email:  address@hidden
Fax : +47 22453205            WWW  :  http://www.iu.hio.no/~mark
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~





reply via email to

[Prev in Thread] Current Thread [Next in Thread]